View Issue Details

IDProjectCategoryView StatusLast Update
0026487LazarusPackagespublic2015-01-26 12:29
ReporterBBazAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.5 (SVN)Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0026487: hardcoded syneditkeycmds are messy - EcFoldLevel1 duplicated 4 times
Descriptionsyneditkeycmds.pp line 626

error in table result into wrong default shortcuts for command EcFoldLevel 3/4/5.
Steps To Reproduce- create a new app with a TSynEditMemo
- assign it an HL and fill the memo with some fold-able code
- play with the default folding shortcuts ALT+TAB+0/1/2/...
- shortcuts are incorrect until level 4.
Additional Informationerror is tracked and fix available in a patch. see attachment.

see line 626 to 630
  (Value: ecToggleMarker9; Name: 'ecToggleMarker9'),
    (Value: EcFoldLevel1; Name: 'EcFoldLevel1'),
    (Value: EcFoldLevel2; Name: 'EcFoldLevel2'),
    (Value: EcFoldLevel3; Name: 'EcFoldLevel1'),
    (Value: EcFoldLevel4; Name: 'EcFoldLevel1'),
    (Value: EcFoldLevel5; Name: 'EcFoldLevel1'),
TagsNo tags attached.
Fixed in Revision46369
LazTarget1.4
Widgetset
Attached Files
  • SynEditKeyCmds.patch (1,001 bytes)
    ***************
    *** 625,633 ****
          (Value: ecToggleMarker9; Name: 'ecToggleMarker9'),
          (Value: EcFoldLevel1; Name: 'EcFoldLevel1'),
          (Value: EcFoldLevel2; Name: 'EcFoldLevel2'),
    !     (Value: EcFoldLevel3; Name: 'EcFoldLevel1'),
    !     (Value: EcFoldLevel4; Name: 'EcFoldLevel1'),
    !     (Value: EcFoldLevel5; Name: 'EcFoldLevel1'),
          (Value: EcFoldLevel6; Name: 'EcFoldLevel6'),
          (Value: EcFoldLevel7; Name: 'EcFoldLevel7'),
          (Value: EcFoldLevel8; Name: 'EcFoldLevel8'),
    --- 625,633 ----
          (Value: ecToggleMarker9; Name: 'ecToggleMarker9'),
          (Value: EcFoldLevel1; Name: 'EcFoldLevel1'),
          (Value: EcFoldLevel2; Name: 'EcFoldLevel2'),
    !     (Value: EcFoldLevel3; Name: 'EcFoldLevel3'),
    !     (Value: EcFoldLevel4; Name: 'EcFoldLevel4'),
    !     (Value: EcFoldLevel5; Name: 'EcFoldLevel5'),
          (Value: EcFoldLevel6; Name: 'EcFoldLevel6'),
          (Value: EcFoldLevel7; Name: 'EcFoldLevel7'),
          (Value: EcFoldLevel8; Name: 'EcFoldLevel8'),
    
    SynEditKeyCmds.patch (1,001 bytes)

Activities

BBaz

2014-07-14 20:08

reporter  

SynEditKeyCmds.patch (1,001 bytes)
***************
*** 625,633 ****
      (Value: ecToggleMarker9; Name: 'ecToggleMarker9'),
      (Value: EcFoldLevel1; Name: 'EcFoldLevel1'),
      (Value: EcFoldLevel2; Name: 'EcFoldLevel2'),
!     (Value: EcFoldLevel3; Name: 'EcFoldLevel1'),
!     (Value: EcFoldLevel4; Name: 'EcFoldLevel1'),
!     (Value: EcFoldLevel5; Name: 'EcFoldLevel1'),
      (Value: EcFoldLevel6; Name: 'EcFoldLevel6'),
      (Value: EcFoldLevel7; Name: 'EcFoldLevel7'),
      (Value: EcFoldLevel8; Name: 'EcFoldLevel8'),
--- 625,633 ----
      (Value: ecToggleMarker9; Name: 'ecToggleMarker9'),
      (Value: EcFoldLevel1; Name: 'EcFoldLevel1'),
      (Value: EcFoldLevel2; Name: 'EcFoldLevel2'),
!     (Value: EcFoldLevel3; Name: 'EcFoldLevel3'),
!     (Value: EcFoldLevel4; Name: 'EcFoldLevel4'),
!     (Value: EcFoldLevel5; Name: 'EcFoldLevel5'),
      (Value: EcFoldLevel6; Name: 'EcFoldLevel6'),
      (Value: EcFoldLevel7; Name: 'EcFoldLevel7'),
      (Value: EcFoldLevel8; Name: 'EcFoldLevel8'),
SynEditKeyCmds.patch (1,001 bytes)

Issue History

Date Modified Username Field Change
2014-07-14 20:08 BBaz New Issue
2014-07-14 20:08 BBaz File Added: SynEditKeyCmds.patch
2014-07-18 10:53 Martin Friebe Assigned To => Martin Friebe
2014-07-18 10:53 Martin Friebe Status new => assigned
2014-09-30 15:23 Martin Friebe Fixed in Revision => 46369
2014-09-30 15:23 Martin Friebe LazTarget => 1.4
2014-09-30 15:23 Martin Friebe Status assigned => resolved
2014-09-30 15:23 Martin Friebe Fixed in Version => 1.3 (SVN)
2014-09-30 15:23 Martin Friebe Resolution open => fixed
2014-09-30 15:23 Martin Friebe Target Version => 1.4
2015-01-26 12:29 BBaz Status resolved => closed